Fetch Simulation
curl --request GET \
--url https://sandbox.cashfree.com/pg/simulate/{simulation_id} \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.cashfree.com/pg/simulate/{simulation_id}"
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>'
}
};
fetch('https://sandbox.cashfree.com/pg/simulate/{simulation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity": "PAYMENTS",
"entity_id": "14934289844",
"simulation_id": "sim_testmerchantid12340",
"entity_simulation": {
"payment_status": "FAILED",
"payment_error_code": "ISSUER_NOT_AVAILABLE"
}
}Simulation
Fetch Simulation
Use this API to fetch simulated payment details.
GET
/
simulate
/
{simulation_id}
Fetch Simulation
Authorizations
XClientID & XClientSecretXClientID & XPartnerAPIKeyXClientID & XClientSignatureHeaderXPartnerMerchantID & XPartnerAPIKey
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
API version to be used.
Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
Path Parameters
Provide the SimulationId for which the details have to be fetched.
Response
Success response for fetching simulated payment details.
Was this page helpful?
āI